> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Remind Timesheets

> Remind users of a due timesheet. Sends him/her an email.



## OpenAPI

````yaml /openapi-specs/timmi-timesheet-v3.yaml post /timmi/services/workflow/remind
openapi: 3.1.0
info:
  title: Lucca Timesheet API
  version: '1.0'
  description: |
    Welcome on the documentation for the Lucca Timesheet API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: TimeEntries
    description: time-entries are the actual working hours observed by a user.
  - name: Timesheets
    description: Collection of time-entries for a User over a week / month.
  - name: Activities
    description: Time-entries referencing axis-sections to describe what the user has done.
  - name: Attendance
    description: Time-entries indicating working hours.
  - name: Workflow
    description: All actions regarding the approval process of timesheets.
  - name: Reports
    description: Reporting features of Lucca Timesheet.
paths:
  /timmi/services/workflow/remind:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    post:
      tags:
        - Workflow
      summary: Remind Timesheets
      description: Remind users of a due timesheet. Sends him/her an email.
      operationId: post-timmi-services-workflow-remind
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                timesheets:
                  type: array
                  items:
                    type: object
                    properties:
                      startsAt:
                        type: string
                        format: date
                        example: '2024-06-01'
                      endsAt:
                        type: string
                        format: date
                        example: '2024-07-01'
                      ownerId:
                        type: integer
                        minimum: 1
        description: Timesheets are identified by startsAt, endsAt & ownerId.
      responses:
        '200':
          $ref: '#/components/responses/ResponseWorkflowService'
        '400':
          $ref: '#/components/responses/ResponseWorkflowService'
        '401':
          $ref: '#/components/responses/ResponseWorkflowService'
        '403':
          $ref: '#/components/responses/ResponseWorkflowService'
        '404':
          $ref: '#/components/responses/ResponseWorkflowService'
        '500':
          $ref: '#/components/responses/ResponseWorkflowService'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  responses:
    ResponseWorkflowService:
      description: Workflow response
      content:
        application/json:
          schema:
            type: object
            properties:
              Status:
                type: integer
                description: HTTP status code.
              Message:
                type:
                  - string
                  - 'null'
                description: Human readable error message (when error).
              Items:
                type: array
                items:
                  type: object
                  properties:
                    Id:
                      type: integer
                    ExceptionMessage:
                      type: string
                    Status:
                      type: integer
                      enum:
                        - 0
                    Title:
                      type: string
                    Url:
                      type: string
                      format: uri
                      description: URL of the relevant timesheet.

````